import { RestApiRoute } from './RestApiRoute';
import { RestApiRequestHandler } from './RestApiRequestHandler';
import { RestPathParams } from './RestRequestParams';
import { RestQueryParams } from './RestQueryParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestRequestHeaders } from './RestRequestHeaders';
export interface RestApiRouteHandler<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never, ResponseBody extends RestResponseBody = never> {
    route: RestApiRoute<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody>;
    requestHandler: RestApiRequestHandler<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody>;
}
